## drop-seq 3.0.0+dfsg

=== src/R/packages/DropSeq.dropulation/DESCRIPTION ===
Package: DropSeq.dropulation
Type: Package
Title: Tools for analyzing Dropulation data
Version: 3.0.0
Date: 2024-03-13
Imports: graphics, utils, stats, data.table,RColorBrewer,vegan, gridExtra,
    ggplot2,ggrepel,purrr,stringr,scales,DropSeq.utilities
Remotes: github::broadinstitute/Drop-seq/src/R/packages/DropSeq.utilities
Author: Jim Nemesh
Maintainer: McCarroll Lab <dropseq@gmail.com>
Description: Dropulation and Dropulation census functions.
License: MIT + file LICENSE
RoxygenNote: 7.3.1
Encoding: UTF-8

=== src/R/packages/DropSeq.utilities/DESCRIPTION ===
Package: DropSeq.utilities
Type: Package
Title: Generic Drop-seq utilities
Version: 3.0.0
Date: 2024-03-13
Imports: data.table
Author: Alec Wysoker
Maintainer: McCarroll Lab <dropseq@gmail.com>
Description: Grab-bag of generic functions for handling strings, files, errors.
License: MIT + file LICENSE
RoxygenNote: 7.3.1
Encoding: UTF-8

## drop-seq 2.3.0+dfsg

=== debian/changelog ===
drop-seq (2.3.0+dfsg-3) unstable; urgency=medium

  * Link to excluded file
  * Install scripts that come with this package
  * Install reference data
  * Add autopkgtests
  * Install docs

 -- Pranav Ballaney <ballaneypranav@gmail.com>  Tue, 16 Jun 2020 20:37:20 +0530

drop-seq (2.3.0+dfsg-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 26 May 2020 13:32:11 +0200

drop-seq (2.3.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #961237)

 -- Andreas Tille <tille@debian.org>  Fri, 22 May 2020 06:36:53 +0200

=== debian/control ===
Source: drop-seq
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 13),
               javahelper,
               default-jdk-headless,
               libhtsjdk-java,
               libpicard-java,
               libcommons-collections4-java,
               libcommons-lang-java,
               libguava-java,
               libyaml-snake-java,
               libla4j-java,
               libjcommander-java <!nocheck>,
               junit4 <!nocheck>,
               testng <!nocheck>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/drop-seq
Vcs-Git: https://salsa.debian.org/med-team/drop-seq.git
Homepage: https://github.com/broadinstitute/Drop-seq/
Rules-Requires-Root: no

Package: drop-seq-tools
Architecture: all
Depends: ${java:Depends},
         ${misc:Depends},
         default-jre | java-runtime,
         java-wrappers,
         picard-tools,
         libpicard-java,
         libcommons-collections4-java,
         libcommons-lang-java,
         libguava-java,
         libyaml-snake-java,
         libla4j-java,
Description: analyzing Drop-seq data
 This software provide for core computational analysis of Drop-seq data,
 which shows you how to transform raw sequence data into an expression
 measurement for each gene in each individual cell.

Package: drop-seq-testdata
Architecture: all
Depends: ${misc:Depends}
Description: analyzing Drop-seq data (testdata)
 This software provide for core computational analysis of Drop-seq data,
 which shows you how to transform raw sequence data into an expression
 measurement for each gene in each individual cell.
 .
 This package provides the test data set included into the upstream
 source.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

# for hardening you might like to uncomment this:
# export DEB_BUILD_MAINT_OPTIONS=hardening=+all

JAVA_HOME  := /usr/lib/jvm/default-java

%:
	dh $@ --with javahelper

override_dh_fixperms:
	dh_fixperms
	find debian/drop-seq-testdata/usr/share -type f -exec chmod -x \{\} \;

## drop-seq 2.4.0%2Bdfsg

=== debian/changelog ===
drop-seq (2.4.0+dfsg-6) unstable; urgency=medium

  * Team upload
  * Properly specify classpath in d/drop-seq-tools.manifest (Closes: #982617)
  * Setting the correct Debian path for jars in the executable shell scripts
  * Adding two manpages
  * Adding a lintian override for .sh executable files
  * Marking drop-seq-testdata as Multi-Arch: foreign
  * Reverting some parts of commit 32a75df6acc1ff6eabb6a032bab0708e93081c3f
    which committed contents with applied patches

 -- Pierre Gruet <pgtdebian@free.fr>  Fri, 12 Feb 2021 22:58:39 +0100

drop-seq (2.4.0+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Reduce the dependencies of drop-seq-tools (Closes: #982352)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 09 Feb 2021 13:03:43 +0100

drop-seq (2.4.0+dfsg-4) unstable; urgency=medium

  * Reduce heap size for 32bit architectures
    Closes: #976761
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 08 Dec 2020 11:08:27 +0100

drop-seq (2.4.0+dfsg-3) unstable; urgency=medium

  * Use skip-not-installable restriction in autopkgtest instead of
    restricting the test architectures

 -- Andreas Tille <tille@debian.org>  Mon, 23 Nov 2020 11:34:14 +0100

drop-seq (2.4.0+dfsg-2) unstable; urgency=medium

  * Restrict test architecture to those where picard-tools is available
    (only amd64)

 -- Andreas Tille <tille@debian.org>  Tue, 10 Nov 2020 09:24:54 +0100

drop-seq (2.4.0+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Pranav Ballaney ]
  * Link to excluded file
  * Install scripts that come with this package
  * Install reference data
  * Add autopkgtests
  * Install docs

  [ Steffen Moeller ]
  * New upstream version.

 -- Pranav Ballaney <ballaneypranav@gmail.com>  Tue, 16 Jun 2020 20:37:20 +0530

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,29 @@
 %:
 	dh $@ --with javahelper
 
+override_dh_auto_configure:
+	dh_auto_configure
+	mkdir -p lib/test
+	ln -s /usr/share/java/commons-collections4.jar lib/commons-collections4.jar
+	ln -s /usr/share/java/commons-io.jar lib/commons-io.jar
+	ln -s /usr/share/java/commons-lang.jar lib/commons-lang.jar
+	ln -s /usr/share/java/commons-math3.jar lib/commons-math3.jar
+	ln -s /usr/share/java/htsjdk.jar lib/htsjdk.jar
+	ln -s /usr/share/java/la4j.jar lib/la4j.jar
+	ln -s /usr/share/java/picard.jar lib/picard.jar
+	ln -s /usr/share/java/snakeyaml.jar lib/snakeyaml.jar
+
+	ln -s /usr/share/java/testng.jar lib/test/testng.jar
+	ln -s /usr/share/java/junit4.jar lib/test/junit.jar
+
+override_dh_auto_clean:
+	rm -Rf lib
+
 override_dh_fixperms:
 	dh_fixperms
 	find debian/drop-seq-testdata/usr/share -type f -exec chmod -x \{\} \;
+
+# Invoking dh_installman with --language=C to get "traditional" manpages
+# although the files we put in /usr/bin end with ".sh".
+override_dh_installman:
+	dh_installman --language=C

## drop-seq 2.4.0+dfsg

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libjcommander-java <!nocheck>,
                junit4 <!nocheck>,
                testng <!nocheck>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/drop-seq
 Vcs-Git: https://salsa.debian.org/med-team/drop-seq.git
 Homepage: https://github.com/broadinstitute/Drop-seq/
@@ -43,6 +43,7 @@
 Package: drop-seq-testdata
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: analyzing Drop-seq data (testdata)
  This software provide for core computational analysis of Drop-seq data,
  which shows you how to transform raw sequence data into an expression

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/broadinstitute/Drop-seq//releases .*/archive/v?@ANY_VERSION@\.tar\.gz

## drop-seq 2.5.1+dfsg

=== debian/changelog ===
drop-seq (2.5.1+dfsg-2) unstable; urgency=medium

  * Team upload
  * Depending on libbiojava5-java instead of libbiojava4-java

 -- Pierre Gruet <pgt@debian.org>  Tue, 22 Feb 2022 21:15:50 +0100

drop-seq (2.5.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Add missing build dependency on dh addon.

 -- Andreas Tille <tille@debian.org>  Sun, 16 Jan 2022 16:45:58 +0100

drop-seq (2.4.1+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.4.1+dfsg
  * Depending on libbiojava4.0-java, with proper paths and manifest
  * Updating d/tests/ref after the PolyATrimmer class evolved

 -- Pierre Gruet <pgt@debian.org>  Tue, 12 Oct 2021 15:19:14 +0200

drop-seq (2.4.0+dfsg-7) unstable; urgency=medium

  [ Pierre Gruet ]
  * Updating d/watch for Github new release/tag page

  [ Andreas Tille ]
  * Standards-Version: 4.6.0

 -- Andreas Tille <tille@debian.org>  Tue, 12 Oct 2021 09:46:00 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                javahelper,
                default-jdk-headless,
+               libbiojava5-java,
                libhtsjdk-java,
                libpicard-java,
                libcommons-collections4-java,
@@ -15,8 +16,9 @@
                libla4j-java,
                libjcommander-java <!nocheck>,
                junit4 <!nocheck>,
-               testng <!nocheck>
-Standards-Version: 4.5.1
+               testng <!nocheck>,
+               debhelper
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/drop-seq
 Vcs-Git: https://salsa.debian.org/med-team/drop-seq.git
 Homepage: https://github.com/broadinstitute/Drop-seq/
@@ -29,6 +31,7 @@
          default-jre | java-runtime,
          java-wrappers,
          picard-tools,
+         libbiojava5-java,
          libpicard-java,
          libcommons-collections4-java,
          libcommons-lang-java,

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,8 @@
 	dh_auto_configure
 	mkdir -p lib/test
 	ln -s /usr/share/java/commons-collections4.jar lib/commons-collections4.jar
+	ln -s /usr/share/java/biojava5-alignment.jar lib/biojava5-alignment.jar
+	ln -s /usr/share/java/biojava5-core.jar lib/biojava5-core.jar
 	ln -s /usr/share/java/commons-io.jar lib/commons-io.jar
 	ln -s /usr/share/java/commons-lang.jar lib/commons-lang.jar
 	ln -s /usr/share/java/commons-math3.jar lib/commons-math3.jar

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, samtools
Restrictions: allow-stderr, skip-not-installable
# skip-not-installable is better than restricting the Architectures (libpicard-java will be installable hopefully soon on more architectures)
# Architecture: amd64

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/broadinstitute/Drop-seq//releases (?:.*?/)?v?@ANY_VERSION@\.tar\.gz

## drop-seq 2.5.2+dfsg

=== debian/changelog ===
drop-seq (2.5.2+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.2+dfsg
  * Dropping unexisting java-runtime package from the list of dependencies of
    the binary packages
  * Refreshing d/copyright

 -- Pierre Gruet <pgt@debian.org>  Sun, 22 Jan 2023 09:19:09 +0100

drop-seq (2.5.1+dfsg-4) unstable; urgency=medium

  * Depending on biojava6 instead of biojava5
  * Raising Standards version to 4.6.2 (no change)

 -- Pierre Gruet <pgt@debian.org>  Thu, 12 Jan 2023 17:53:10 +0100

drop-seq (2.5.1+dfsg-3) unstable; urgency=medium

  * Updating d/watch after a change in the Github layout
  * Raising Standards version to 4.6.1 (no change)
  * Adding myself as Uploader
  * Honouring Build-Depends-Indep
  * Updating the Lintian override due to a change in the syntax of Lintian

 -- Pierre Gruet <pgt@debian.org>  Sat, 19 Nov 2022 15:25:51 +0100

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,23 @@
 Section: science
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Pierre Gruet <pgt@debian.org>
 Build-Depends: debhelper-compat (= 13),
                javahelper,
                default-jdk-headless,
-               libbiojava5-java,
-               libhtsjdk-java,
-               libpicard-java,
-               libcommons-collections4-java,
-               libcommons-lang-java,
-               libguava-java,
-               libyaml-snake-java,
-               libla4j-java,
-               libjcommander-java <!nocheck>,
-               junit4 <!nocheck>,
-               testng <!nocheck>,
-               debhelper
-Standards-Version: 4.6.0
+Build-Depends-Indep: libbiojava6-java,
+                     libhtsjdk-java,
+                     libpicard-java,
+                     libcommons-collections4-java,
+                     libcommons-lang-java,
+                     libguava-java,
+                     libyaml-snake-java,
+                     libla4j-java,
+                     libjcommander-java <!nocheck>,
+                     junit4 <!nocheck>,
+                     testng <!nocheck>
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/drop-seq
 Vcs-Git: https://salsa.debian.org/med-team/drop-seq.git
 Homepage: https://github.com/broadinstitute/Drop-seq/
@@ -28,10 +28,10 @@
 Architecture: all
 Depends: ${java:Depends},
          ${misc:Depends},
-         default-jre | java-runtime,
+         default-jre,
          java-wrappers,
          picard-tools,
-         libbiojava5-java,
+         libbiojava6-java,
          libpicard-java,
          libcommons-collections4-java,
          libcommons-lang-java,

=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,8 @@
 	dh_auto_configure
 	mkdir -p lib/test
 	ln -s /usr/share/java/commons-collections4.jar lib/commons-collections4.jar
-	ln -s /usr/share/java/biojava5-alignment.jar lib/biojava5-alignment.jar
-	ln -s /usr/share/java/biojava5-core.jar lib/biojava5-core.jar
+	ln -s /usr/share/java/biojava6-alignment.jar lib/biojava6-alignment.jar
+	ln -s /usr/share/java/biojava6-core.jar lib/biojava6-core.jar
 	ln -s /usr/share/java/commons-io.jar lib/commons-io.jar
 	ln -s /usr/share/java/commons-lang.jar lib/commons-lang.jar
 	ln -s /usr/share/java/commons-math3.jar lib/commons-math3.jar

## drop-seq 2.5.3+dfsg

=== debian/changelog ===
drop-seq (2.5.3+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.3+dfsg

 -- Pierre Gruet <pgt@debian.org>  Sun, 25 Jun 2023 14:46:21 +0200

## drop-seq 2.5.4+dfsg

=== debian/changelog ===
drop-seq (2.5.4+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.4+dfsg
  * Fixing the clean target (Closes: #1044520)
  * Refreshing copyright years in d/copyright

 -- Pierre Gruet <pgt@debian.org>  Mon, 21 Aug 2023 16:19:22 +0200

=== debian/rules ===
--- 
+++ 
@@ -30,8 +30,8 @@
 	ln -s /usr/share/java/testng.jar lib/test/testng.jar
 	ln -s /usr/share/java/junit4.jar lib/test/junit.jar
 
+#Attempts to delete unexisting file
 override_dh_auto_clean:
-	rm -Rf lib
 
 override_dh_fixperms:
 	dh_fixperms
@@ -41,3 +41,9 @@
 # although the files we put in /usr/bin end with ".sh".
 override_dh_installman:
 	dh_installman --language=C
+
+override_dh_clean:
+	dh_clean
+	rm -rf dist lib
+	# Removing .class files created during the build.
+	find . -name "*.class" -delete

## drop-seq 3.0.0+dfsg

=== debian/changelog ===
drop-seq (3.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.0.0+dfsg
  * Refreshing patches
  * Raising Standards version to 4.7.0 (no change)
  * Bumping years in d/copyright
  * Putting classes of src/testFixtures in src/tests for the build
  * Patching out invocation of unpackaged google.api.gax classes
  * Avoiding the use of recent OpenJDK-21 methods
  * Putting defs.sh out of /usr/bin
  * Updating autopkgtests after changes in the software

 -- Pierre Gruet <pgt@debian.org>  Tue, 23 Apr 2024 13:49:46 +0200

## drop-seq 3.0.2+dfsg

=== src/R/packages/DropSeq.dropulation/DESCRIPTION ===
Package: DropSeq.dropulation
Type: Package
Title: Tools for analyzing Dropulation data
Version: 3.0.2
Date: 2024-07-15
Imports: graphics, utils, stats, data.table,RColorBrewer,vegan, gridExtra,
    ggplot2,ggrepel,purrr,stringr,scales
Suggests: DropSeq.utilities
Remotes: github::broadinstitute/Drop-seq/src/R/packages/DropSeq.utilities
Author: Jim Nemesh
Maintainer: McCarroll Lab <dropseq@gmail.com>
Description: Dropulation and Dropulation census functions.
License: MIT + file LICENSE
RoxygenNote: 7.3.1
Encoding: UTF-8

=== src/R/packages/DropSeq.utilities/DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: DropSeq.utilities
 Type: Package
 Title: Generic Drop-seq utilities
-Version: 3.0.0
-Date: 2024-03-13
+Version: 3.0.2
+Date: 2024-07-15
 Imports: data.table
 Author: Alec Wysoker
 Maintainer: McCarroll Lab <dropseq@gmail.com>

=== debian/changelog ===
drop-seq (3.0.2+dfsg-2) unstable; urgency=medium

  * Raising Standards version to 4.7.2 (no change)
  * Removing nocheck indication from the testng B-D (Closes: #1116730)

 -- Pierre Gruet <pgt@debian.org>  Thu, 02 Oct 2025 16:33:39 +0200

drop-seq (3.0.2+dfsg-1) unstable; urgency=medium

  * New upstream version 3.0.2+dfsg
  * Refreshing patches
  * Refreshing the list of files to remove when repacking

 -- Pierre Gruet <pgt@debian.org>  Sun, 29 Sep 2024 23:06:59 +0200

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,8 @@
                      libla4j-java,
                      libjcommander-java <!nocheck>,
                      junit4 <!nocheck>,
-                     testng <!nocheck>
-Standards-Version: 4.6.2
+                     testng
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/drop-seq
 Vcs-Git: https://salsa.debian.org/med-team/drop-seq.git
 Homepage: https://github.com/broadinstitute/Drop-seq/

=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,10 @@
 	ln -s /usr/share/java/testng.jar lib/test/testng.jar
 	ln -s /usr/share/java/junit4.jar lib/test/junit.jar
 
+	# Putting util classes under src/tests so that tests find them.
+	cp -r src/testFixtures/java/org/broadinstitute/dropseqrna/utils src/tests/java/org/broadinstitute/dropseqrna
+	cp -r src/testFixtures/java/org/broadinstitute/dropseqrna/barnyard/DigitalExpressionTestUtil.java src/tests/java/org/broadinstitute/dropseqrna/barnyard
+
 #Attempts to delete unexisting file
 override_dh_auto_clean:
 
@@ -47,3 +51,7 @@
 	rm -rf dist lib
 	# Removing .class files created during the build.
 	find . -name "*.class" -delete
+
+	# Removing classes from testFixtures we put under src/tests.
+	-rm -r src/tests/java/org/broadinstitute/dropseqrna/utils
+	-rm src/tests/java/org/broadinstitute/dropseqrna/barnyard/DigitalExpressionTestUtil.java

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/broadinstitute/Drop-seq/tags (?:.*?/)?v?@ANY_VERSION@\.tar\.gz
